Package ietf.params.xml.ns.icalendar_2

# Class WsCalendarAttachType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.WsCalendarAttachType

public class WsCalendarAttachType extends BasePropertyType
types the content of the xCal attach element

Java class for WsCalendarAttachType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="WsCalendarAttachType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}artifact"/>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}artifactBase"/>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}uri"/>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}text"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<javax.xml.bind.JAXBElement<?>>`
  `artifactOrArtifactBaseOrUri`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WsCalendarAttachType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<javax.xml.bind.JAXBElement<?>>`
  `getArtifactOrArtifactBaseOrUri()`
  Gets the value of the artifactOrArtifactBaseOrUri property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### artifactOrArtifactBaseOrUri

    protected List<javax.xml.bind.JAXBElement<?>> artifactOrArtifactBaseOrUri

- ## Constructor Details

  - ### WsCalendarAttachType

    public WsCalendarAttachType()

- ## Method Details

  - ### getArtifactOrArtifactBaseOrUri

    public List<javax.xml.bind.JAXBElement<?>> getArtifactOrArtifactBaseOrUri()
    Gets the value of the artifactOrArtifactBaseOrUri property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the artifactOrArtifactBaseOrUri property.

    For example, to add a new item, do as follows:

            getArtifactOrArtifactBaseOrUri().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``ArtifactBaseType``>` `JAXBElement``<``ArtifactType``>` `JAXBElement``<``String``>` `JAXBElement``<``String``>`